package com.diagbot.facade;

import com.diagbot.dto.FeatureConceptDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.util.ListUtil;
import com.diagbot.util.ParamConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/13 15:38
 */
@Component
public class FeatureFacade {
    @Autowired
    private NLPFacade nlpFacade;

    /**
     * 症状关键词提取
     *
     * @param text
     * @return
     */
    public List<FeatureConceptDTO> getSymptomFeature(String text) {
        List<FeatureConceptDTO> symptomFeatureList = nlpFacade.symptomFeaturePageData(text);
        if (!ListUtil.isNotEmpty(symptomFeatureList)) {
            throw new CommonException(CommonErrorCode.NOT_EXISTS, "未提取到特征词");
        }

        for (FeatureConceptDTO featureConceptDTO : symptomFeatureList) {
            if (null != featureConceptDTO.getLibType()) {
                featureConceptDTO.setType(ParamConvertUtil.libConvert2Concept(featureConceptDTO.getLibType()));
            }
        }
        return symptomFeatureList;
    }
}