package com.diagbot.client;

import com.diagbot.client.hystrix.NeoServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.NeoParamVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 图谱更新服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@FeignClient(name = "neo", url = "${neo.server.address}", fallback = NeoServiceHystrix.class)
public interface NeoServiceClient {

    @PostMapping("/user/verifyToken")
    RespDTO<Boolean> updateNeo(@RequestBody NeoParamVO neoParamVO);

    @PostMapping("/user/verifyToken")
    RespDTO<Boolean> deleteNeo(@RequestBody NeoParamVO neoParamVO);
}



