package com.diagbot.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.diagbot.enums.DisclaimerCodeEnum;
import com.diagbot.enums.LexiconRSTypeEnum;
import com.diagbot.enums.LexiconTypeEnum;
import com.diagbot.enums.PositionTypeEnum;
import com.diagbot.service.EnumsDataService;
import com.diagbot.util.EnumEntriesBuilder;

/**
 * @Description: 枚举数据接口是实现类
 * @author: gaodm
 * @time: 2018/9/19 14:27
 */
@Service
public class EnumsDataServiceImpl implements EnumsDataService {

    /**
     * 用户枚举数据获取
     *
     * @return 用户枚举类map
     */
    @Override
    public Map<String, List<EnumEntriesBuilder.Entry>> getEnumsData() {
        Map<String, List<EnumEntriesBuilder.Entry>> enumMap = new EnumEntriesBuilder()
                .addEnums("disclaimerCodeEnum", DisclaimerCodeEnum.values())
                .addEnums("positionTypeEnum", PositionTypeEnum.values())
                .addEnums("lexiconRSTypeEnum", LexiconRSTypeEnum.INCLUDE_OF, LexiconRSTypeEnum.PUSH)
                .addEnums("lexiconTypeEnum", LexiconTypeEnum.values())
                .addEnums("concatLexiconTypeEnum", 
                		LexiconTypeEnum.SYMPTOM,LexiconTypeEnum.BODYPART,LexiconTypeEnum.LIS_PACKAGE,LexiconTypeEnum.PACS_PACKAGE,
                		LexiconTypeEnum.PACS_ITEMS,LexiconTypeEnum.DIAGNOSIS,LexiconTypeEnum.PACS_CATEGORY_BIG,LexiconTypeEnum.PACS_CATEGORY_SMALL,
                		LexiconTypeEnum.DEPARTMENT,LexiconTypeEnum.GAUGE,LexiconTypeEnum.SIDE_EFFECTS,LexiconTypeEnum.CORE_INDICATORS,
                		LexiconTypeEnum.LIS_TABLES)
                .build();
        return enumMap;
    }
}
