package com.diagbot.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.diagbot.annotation.SysLoggerExport;
import com.diagbot.facade.DiagnoseImportFacade;
import com.diagbot.util.GsonUtil;
import com.diagbot.vo.DiagnosticBasisExportVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年8月8日 下午1:26:22
 */
@RestController
@RequestMapping("/diagnose")
@Api(value = "诊断依据导入API[by:wangfeng]", tags = { "WF——诊断依据导入API" })
@SuppressWarnings("unchecked")
public class DiagnoseExportImportController {

	@Autowired
	DiagnoseImportFacade diagnoseImportFacade;

    @ApiOperation(value = "导入诊断依据数据:[by:wangfeng]", notes = "导入诊断依据数据")
    @PostMapping(value = "/importDiagnosticBasis", produces="text/html;charset=utf-8")
    public String importDiagnosticBasis(@RequestParam("uploadfile") MultipartFile file,HttpServletRequest request) {
        return GsonUtil.toJson(diagnoseImportFacade.importDiagnosticBasisAll(file, request));
    }
    
    @ApiOperation(value = "导出诊断依据问题:[by:wangfeng]", notes = "导出诊断依据问题")
    @PostMapping("/exportDiagnosticBasis")
    @SysLoggerExport("exportDiagnosticBasis")
    @ResponseBody
    public  void ExportDiagnosticBasis(@RequestBody DiagnosticBasisExportVO diaExportVO,HttpServletRequest request,HttpServletResponse response)
            throws Exception {
    	diagnoseImportFacade.exportDiagnosticBasis(diaExportVO, response);
        
    }
}
